<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-heading">Authors</div>

                    <div class="panel-body">
                        <?php if(session('message')): ?>
                            <div class="alert alert-info"><?php echo e(session('message')); ?></div>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create', Author::class)): ?>
                            <a href="<?php echo e(route('authors.create')); ?>" class="btn btn-default">Add New Author</a>
                            <br /><br />
                        <?php endif; ?>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Author::class)): ?>
                                    <th>
                                        <input type="checkbox" class="checkbox_all">
                                    </th>
                                    <?php endif; ?>
                                    <th>First name</th>
                                    <th>Last name</th>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit', Author::class)): ?>
                                    <th>Actions</th>
                                    <?php endif; ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $authors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $author): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Author::class)): ?>
                                    <td><input type="checkbox" class="checkbox_delete"
                                               name="entries_to_delete[]" value="<?php echo e($author->id); ?>" /></td>
                                    <?php endif; ?>
                                    <td><?php echo e($author->first_name); ?></td>
                                    <td><?php echo e($author->last_name); ?></td>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit', Author::class)): ?>
                                    <td>
                                        <a href="<?php echo e(route('authors.edit', $author->id)); ?>" class="btn btn-default">Edit</a>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Author::class)): ?>
                                        <form action="<?php echo e(route('authors.destroy', $author->id)); ?>" method="POST"
                                              style="display: inline"
                                              onsubmit="return confirm('Are you sure?');">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <?php echo e(csrf_field()); ?>

                                            <button class="btn btn-danger">Delete</button>
                                        </form>
                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td colspan="4">No entries found.</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('delete', Author::class)): ?>
                        <form action="<?php echo e(route('authors.mass_destroy')); ?>" method="post"
                              onsubmit="return confirm('Are you sure?');">
                            <?php echo e(csrf_field()); ?>

                            <input type="hidden" name="_method" value="DELETE">
                            <input type="hidden" name="ids" id="ids" value="" />
                            <input type="submit" value="Delete selected" class="btn btn-danger" />
                        </form>
                        <?php endif; ?>
                        <?php echo e($authors->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        function getIDs()
        {
            var ids = [];
            $('.checkbox_delete').each(function () {
                if($(this).is(":checked")) {
                    ids.push($(this).val());
                }
            });
            $('#ids').val(ids.join());
        }

        $(".checkbox_all").click(function(){
            $('input.checkbox_delete').prop('checked', this.checked);
            getIDs();
        });

        $('.checkbox_delete').change(function() {
            getIDs();
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>